Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Flag_Manip Class Reference

`#include <Flag_Manip.h>`

Inheritance diagram for ACE_Flag_Manip:

[legend]
List of all members.

## Static Public Methods
int | set_flags (ACE_HANDLE handle, int flags)
| Set flags associated with <handle>.
int | clr_flags (ACE_HANDLE handle, int flags)
| Clear flags associated with <handle>.
int | get_flags (ACE_HANDLE handle)
| Return the current setting of flags associated with <handle>.

## Member Function Documentation

int ACE_Flag_Manip::clr_flags | ( | ACE_HANDLE | handle,
|  | int | flags
| ) | `[static]`

| Clear flags associated with <handle>.

ASYS_INLINE int ACE_Flag_Manip::get_flags | ( | ACE_HANDLE | handle | ) | `[static]`

| Return the current setting of flags associated with <handle>.

int ACE_Flag_Manip::set_flags | ( | ACE_HANDLE | handle,
|  | int | flags
| ) | `[static]`

| Set flags associated with <handle>.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Flag_Manip.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Flag_Manip.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Flag_Manip.i